import java.awt.BasicStroke;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.DisplayMode;
import java.awt.Graphics2D;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Shape;
import java.awt.geom.Rectangle2D;
import java.io.File;
import java.io.IOException;
import java.util.Scanner;

import javax.swing.JFrame;

import type.lang.UniPanel;

public class Labtest09_Sec03_Part1 {

	/**
	 * @param args
	 * @throws IOException
	 */
	public static void main(String[] args) throws IOException {

		/**
		 * [0 marks] Step 1: Read the following statements. These statements are
		 * based on steps 1-3 from lab 9.2, but are not repeating the steps
		 * exactly. Run this application to see what happens.
		 */

		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setVisible(true);

		// the following statements are designed to determine the total amount
		// of screen real estate that is available to this application
		GraphicsEnvironment env = GraphicsEnvironment
				.getLocalGraphicsEnvironment();
		GraphicsDevice device = env.getDefaultScreenDevice();
		DisplayMode displayMode = device.getDisplayMode();
		int availableWidth = displayMode.getWidth();
		int availableHeight = displayMode.getHeight();
		// we use the setPreferredSize method here because the layout manager of
		// the JFrame is designed to pay attention to the preferred size
		// attribute of the widget it is meant to lay out. (This is not true of
		// the method
		// setSize(int, int), despite the fact that the name of this method
		// would seem to suggest that it would have such an impact on the layout
		// manager).
		frame.setPreferredSize(new Dimension(availableWidth / 3,
				availableHeight / 2));

		Container content = frame.getContentPane();
		UniPanel panel = new UniPanel();
		content.add(panel);
		frame.pack();

		Graphics2D canvas = panel.getGraphics2D();

		/**
		 * [5 marks] Step 2: In this step, create the three rectangles. The
		 * rectangles should have the following properties: one should have
		 * equal width and height, another should have width twice the height,
		 * and the third should have height twice the width. You should position
		 * then in a vertical stack, but the alignment can be left, right or
		 * centered. Also, the brush stroke of the three should be different.
		 * Look at step #7 of Lab 9.2 for further information on the brush
		 * stroke. Your mark for your answer to this step will also be based on
		 * the use of good programming practices (hint: what was that about
		 * magic numbers?)
		 */

	}
}
