package soln;
import java.awt.BasicStroke;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.DisplayMode;
import java.awt.Graphics2D;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Shape;
import java.awt.geom.Rectangle2D;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Scanner;

import javax.swing.JFrame;

import type.lang.UniPanel;

public class Labtest09_Sec02_Part3 {

	/**
	 * @param args
	 * @throws IOException
	 * @throws ClassNotFoundException
	 */
	public static void main(String[] args) throws IOException,
			ClassNotFoundException {

		/**
		 * [4 marks] Step 1: Cut and paste code from Part1 and Part2 so that
		 * this application will read the objects can be found in
		 * "L09-collection1.obj" and will render them graphically. You may reuse
		 * the JFrame properties from Part1.
		 */

		String filename = "L09.obj";
		FileInputStream fis = new FileInputStream(filename);
		ObjectInputStream ois = new ObjectInputStream(fis);
		Object obj1 = ois.readObject();
		Object obj2 = ois.readObject();
		Object obj3 = ois.readObject();
		System.out.println(obj1);
		System.out.println(obj2);
		System.out.println(obj3);
		List<Shape> theCollection = new ArrayList<Shape>();
		theCollection.add((Shape) obj1);
		theCollection.add((Shape) obj2);
		theCollection.add((Shape) obj3);
		
		
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setVisible(true);
		GraphicsEnvironment env = GraphicsEnvironment
				.getLocalGraphicsEnvironment();
		GraphicsDevice device = env.getDefaultScreenDevice();
		DisplayMode displayMode = device.getDisplayMode();
		int availableWidth = displayMode.getWidth();
		int availableHeight = displayMode.getHeight();
		frame.setPreferredSize(new Dimension(availableWidth / 3,
				availableHeight / 2));
		Container content = frame.getContentPane();
		UniPanel panel = new UniPanel();
		content.add(panel);
		frame.pack();

		Graphics2D canvas = panel.getGraphics2D();
		for (Shape r : theCollection) {
			canvas.draw(r);
		}
		panel.repaint();

	}
}
